This service will be undergoing non-disruptive maintenance at 07:20 UTC, 2018-12-14. It is expected to last approximately 30 minutes
Bug 139683 - Foomatic device recognition
Summary: Foomatic device recognition
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: foomatic (Show other bugs)
(Show other bugs)
Version: 3
Hardware: All Linux
medium
low
Target Milestone: ---
Assignee: Tim Waugh
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-11-17 14:58 UTC by Mike Nuss
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-17 18:35:00 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/usr/share/foomatic/db/source/printer/HP-LaserJet_8150.xml (1.18 KB, text/plain)
2004-11-17 18:18 UTC, Tim Waugh
no flags Details

Description Mike Nuss 2004-11-17 14:58:38 UTC
Description of problem:

I get the following message when running system-config-printer (though
functionally it works fine):

No IEEE 1284 match: {'model': 'HP LaserJet 8150 Series',
'description': 'Hewlett-Packard LaserJet 8150 Series', 'cmdset':
'PJL,MLC,PCL,PCLXL,POSTSCRIPT', 'manufacturer': 'Hewlett-Packard'}
Please report this message in Bugzilla:
  https://bugzilla.redhat.com/bugzilla
Choose 'foomatic' as the component.
No SNMP match: 'HP LaserJet 8150 Series'
Please report this message in Bugzilla:
  https://bugzilla.redhat.com/bugzilla
Choose 'foomatic' as the component.
No SNMP match: 'Flash disk in DIMM slot 1'
Please report this message in Bugzilla:
  https://bugzilla.redhat.com/bugzilla
Choose 'foomatic' as the component.
No SNMP match: 'HP LASERJET RAMDISK SN00000MPA REV 1.2'
Please report this message in Bugzilla:
  https://bugzilla.redhat.com/bugzilla
Choose 'foomatic' as the component.

Version-Release number of selected component (if applicable):
3.0.2-3

How reproducible:
Consistently.

Steps to Reproduce:
1. Run system-config-printer.
  
Actual results:
Above output appears.

Expected results:
Presumably, foomatic would recognize those devices and would not print
out the above output.

Additional info:
na

Comment 1 Hardy Mayer 2004-11-17 17:42:28 UTC
This seems behavior identical to bug 139629, except that in my case 
printing does not work

Comment 2 Tim Waugh 2004-11-17 18:17:15 UTC
No, this is a separate issue altogether: different printer model.

Comment 3 Tim Waugh 2004-11-17 18:18:57 UTC
Created attachment 106902 [details]
/usr/share/foomatic/db/source/printer/HP-LaserJet_8150.xml

Please save this attachment and copy it to
/usr/share/foomatic/db/source/printer/HP-LaserJet_8150.xml.

Then I'd like you to run system-config-printer again and see if the correct
printer model is selected automatically.

Comment 4 Mike Nuss 2004-11-17 18:33:13 UTC
Tim, that works perfectly.

Comment 5 Tim Waugh 2004-11-17 18:35:00 UTC
Great, thanks for testing.


Note You need to log in before you can comment on or make changes to this bug.